Skip to main content
GET
/
api
/
v1
/
connector-error-codes
/
{connector_code}
Konnektör hata kodunu getir
curl --request GET \
  --url https://vpos-sandbox.payven.com.tr/api/v1/connector-error-codes/{connector_code} \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "connector_code": "<string>",
    "provider_error_code": "<string>",
    "category": "<string>",
    "turkish_message": "<string>",
    "english_message": "<string>",
    "internal_description": "<string>",
    "should_retry": true,
    "http_status_suggestion": 123,
    "mapped_to_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "mapped_to_code": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Path Parameters

connector_code
string
required

Response

OK

id
string<uuid>
connector_code
string | null
provider_error_code
string | null
category
string | null
turkish_message
string | null
english_message
string | null
internal_description
string | null
should_retry
boolean
http_status_suggestion
integer<int32> | null
mapped_to_id
string<uuid> | null
mapped_to_code
string | null